# Hackle-provided Property (Auto-collected)

This document covers properties defined and collected by Hackle.

{% hint style="info" %}
To use Hackle-provided properties

1. SDK integration is required.
2. A Client SDK must be used. (iOS/AOS/JavaScript, etc.)
   {% endhint %}

## Types of Hackle-provided Properties (Auto-collected)

| Property Key          | Description                         | Example Value                                              |
| --------------------- | ----------------------------------- | ---------------------------------------------------------- |
| browerName            | Browser name                        | Chrome                                                     |
| browsermajorVersion   | Browser major version               | 115                                                        |
| browserVersion        | Browser version                     | 115.0.0.0                                                  |
| deviceModel           | Device model name                   | SM-S906N                                                   |
| deviceType            | Device type                         | mobile, tv, desktop ..                                     |
| deviceVendor          | Manufacturer                        | samsung                                                    |
| host                  | URL host                            | dashboard.hackle.io                                        |
| isApp                 | Whether it is an application        | true                                                       |
| language              | Configured language                 | ko                                                         |
| locale                | Configured locale (language-region) | ko-KR                                                      |
| osName                | Operating system                    | Mac                                                        |
| osVersion             | Operating system version            | 10.15.7                                                    |
| pagePath              | URL path                            | url path                                                   |
| pageTitle             | Page title                          | Event Explorer - hackle                                    |
| platform              | Platform                            | Web, Mobile, Desktop ...                                   |
| protocol              | URL protocol                        | https                                                      |
| queryParameter        | Query parameter                     | ?query=%7B%22startDateTime%22%3A%222023-08-18T09%3A        |
| referrer              | Referrer info                       | <https://dashboard.hackle.io/login>                        |
| refefferDomain        | Referrer domain info                | [www.google.com](http://www.google.com) , search.naver.com |
| referrerSource        | Referrer source info                | search, shopping, organic                                  |
| referrerKeyword       | Referrer keyword info               | ab테스트 (search keyword when referrerSource is "search")     |
| screenClass           | Class name                          | RemodelingActivity (collected on Android only)             |
| screenHeight          | Screen height                       | 1920                                                       |
| screenWidth           | Screen width                        | 1080                                                       |
| timeZone              | Time zone                           | + 09:00, +xx:00, ...                                       |
| userAgent             | User agent info                     | Mozilla/5.0 (Macintosh; Intel Mac OS X 10\_15\_7)          |
| versionName           | Version name                        | 1.0.26                                                     |
| \[User] utm\_source   | UTM acquisition source              | google, facebook, naver, kakao (Web only)                  |
| \[User] utm\_medium   | UTM marketing method                | cpc, display, email (Web only)                             |
| \[User] utm\_campaign | UTM campaign                        | familyday, thanksgiving\_23 (Web only)                     |
| \[User] utm\_content  | UTM content                         | image1, video2 (Web only)                                  |

{% hint style="info" %}
UTM properties are only collected in Web or WebApp integration environments.

* The Hackle SDK automatically collects these properties, but they are displayed as Custom User Properties rather than Hackle properties.
  {% endhint %}

## Checking Hackle-provided Properties (Auto-collected)

Once SDK integration is complete, as shown in the image below, the item **\[Hackle Auto-collected Properties]** appears in the Hackle Dashboard, and you can select properties such as osName to query data.

![](/files/qLTbTiUbPE7JZaDvGUAc)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hackle.io/en/event-management/properties/hackle-property.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
